This is a view of mounted filesystems with sizes for Linux, FreeBSD, or SunOS based machines.
Note: for FreeBSD, the Linux compatibiliy proc filesystem must be available in /compat/linux/proc.

Some of the most common filesystem types are (check the mount(8) manual page for the latest information):

- ext2: a local filesystem with longer filenames, larger inodes, and lots of other features.
- ext3: a journaling filesystem based on and compatible with ext2.
- iso9660: a local filesystem used for CD-ROM drives.
- msdos: a local filesystem for MS-DOS partitions.
- nfs: a filesystem for mounting partitions from remote systems.
- reiserfs: a journaling filesystem.
- vfat: a local filesystem for FAT partitions.

Module options:

- -C (only available for ssh on UNIX client)
  Whether data compression is used on all data between client and server (useful on slow connections, see ssh manual for detailed information).
- -i file (only available for ssh on UNIX client)
  Selects a file from which the identity (private key) for authentication is read (useful if an authentication agent is not running). It must not be protected by a passphrase.
- -p port (only available for ssh on UNIX client)
  Port to connect to on the remote host.
- -r (--remote) [[rsh|ssh]://][user@]host
  remote monitoring using user as logname on remote host host (rsh or ssh facilities must be properly setup). If user is not specified, current user is used as logname on remote host. The protocol is either ssh or rsh (used by default). The module title is set to mounts(host).
  When there is a communication error with the remote host, all rows disappear and the displayed table becomes empty. A descriptive error message is also generated in such a case.

Notes on remote monitoring:

- Using ssh is strongly recommended, as rsh, while being much less secure is also less efficient, as it requires creating a new session for each poll.
- On a Windows client, you must use the putty software package (see install.txt), which does not support rsh in non interactive sessions. Consequently, the -r (--remote) ssh://session syntax is required to remove any confusion (where session has been added to the running pageant application).

Examples:

    $ moodss mounts -r jdoe@foo.bar.com
    $ moodss mounts -r ssh://jdoe@foo.bar.com
    $ moodss mounts --remote foo.bar.com